#ifndef _BinaryLoader_H__
#define _BinaryLoader_H__

// note use forward declaration instead
#include <string>


class igzstream;
class Shape3D;
class BranchGroup;
class Appearance;
class Geometry;


class BinaryLoader
{
public:

	BranchGroup *Load(const std::string &filename);

protected:

	Shape3D *LoadShape(igzstream &str);

	Appearance *LoadAppearance(igzstream &str);

	Geometry *LoadGeometry(igzstream &str);
};

#endif
